<?xml version="1.0" encoding="UTF-8"?>
<!-- {{ ansible_managed }} -->
<configuration>
  <include resource="logback-common.xml"/>

  <appender name="ELASTIC" class="com.internetitem.logback.elasticsearch.ElasticsearchAppender">
    <url>{{ elastic_url_bulk | default( 'http://elastic.cm.local:9200/_bulk' ) }}</url>
    <index>coremedia-%date{yyyy-MM-dd}</index>
    <type>application-logs</type>
    <properties>
      <property>
        <name>host</name>
        <value>{{ ansible_fqdn }}</value>
        <allowEmpty>false</allowEmpty>
      </property>
      <property>
        <name>application</name>
        <value>${springAppName}</value>
      </property>
      <property>
        <name>severity</name>
        <value>%level</value>
      </property>
      <property>
        <name>environment</name>
        <value>{{ coremedia_environment | default('dev') }}</value>
      </property>
      <property>
        <name>thread</name>
        <value>%thread</value>
      </property>
      <property>
        <name>stacktrace</name>
        <value>%ex</value>
      </property>
      <property>
        <name>logger</name>
        <value>%logger</value>
      </property>
    </properties>
    <headers>
      <header>
        <name>Content-Type</name>
        <value>application/json</value>
      </header>
    </headers>
  </appender>


  <root level="WARN">
    <appender-ref ref="ELASTIC"/>
    <appender-ref ref="FILE"/>
<!--    <appender-ref ref="CONSOLE"/> -->
  </root>

</configuration>
